YUDIT(1)

NAME

yudit - Unicode Editor for The X Window System

SYNOPSIS

yudit [ -e encoding ] [[ file-name [ file-name... ]]

DESCRIPTION

yudit is an unicode text editors.

When a user runs yudit for the first time $HOME/.yudit, $HOME/.yudit/data, and $HOME/.yudit/fonts are created.

The configuration file can be edited inside yudit. For the detailed description of usage and configuration take a look at the on-line manual.

If you are planning to save files with yudit please note that the format preferred by edit for unicode files is UTF8.

yudit can convert between different encodings, but if you do not need a GUI consider uniconv.

ARGUMENTS

-e encoding
    The encoding determines how yudit interacts with character streams: file input, file output, cut and paste. XInput encoding is set up to use an independent, fixed encoder.

    If you received yudit through the yudit distribution, the following encodings are inclusively supported:

    UTF8, UTF7, 8859_1, 8859_2, 8859_5, 8859_7, 8859_9, KOI8_R, JIS, SJIS, EUC_JP, ISO2022_KR, EUC_KR, JOHAB, UHC, GB2312_7, GB2312_8, HZ, BIG5, CTEXT_JA, 10646 JAVA.

    For a detailed description of these please refer to uniconv man page.

file-name
    is the file yudit should read into its buffer at start-up.

ENVIRONMENT
The environment variable HOME should point to the user's home directory, where the yudit configuration file (.yuditrc) is kept. If the file is corrupt yudit exits with an error dialog. Errors messages are usually replicated in the standard error output of the yudit.

SEE ALSO
mytool, uniconv, uniprint

AUTHOR

This program was written by gsinai@iname.com (Gaspar Sinai), Tokyo, 10 November, 1997 (yutex) and was updated on 1 December 1997. Many thanks to Andrew Weeks at University of Bath for releasing his TrueType to postscript (ttf2pfa) program which formed the base of printing support in yudit. This manual page was copied from old yudit 1.6 distribution by Radovan Garabik <garabik@melkor.dnp.fmph.uniba.sk> and modified for yudit 2.4 distribution for Debian/GNU system before being edited for yudit 2.8. It may contain obsolete information.